org.springframework.transaction

## Interface TransactionExecution

- All Known Subinterfaces:
    ReactiveTransaction, TransactionStatus
  All Known Implementing Classes:
    AbstractTransactionStatus, DefaultTransactionStatus, GenericReactiveTransaction, SimpleTransactionStatus

      public interface TransactionExecution

  Common representation of the current state of a transaction. Serves as base interface for `TransactionStatus` as well as `ReactiveTransaction`.
  Since:
    5.2
  Author:
    Juergen Hoeller

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCompleted()` Return whether this transaction is completed, that is, whether it has already been committed or rolled back.
    `boolean` | `isNewTransaction()` Return whether the present transaction is new; otherwise participating in an existing transaction, or potentially not running in an actual transaction in the first place.
    `boolean` | `isRollbackOnly()` Return whether the transaction has been marked as rollback-only (either by the application or by the transaction infrastructure).
    `void` | `setRollbackOnly()` Set the transaction rollback-only.

- - ### Method Detail

    - #### isNewTransaction

          boolean isNewTransaction()

      Return whether the present transaction is new; otherwise participating in an existing transaction, or potentially not running in an actual transaction in the first place.

    - #### setRollbackOnly

          void setRollbackOnly()

      Set the transaction rollback-only. This instructs the transaction manager that the only possible outcome of the transaction may be a rollback, as alternative to throwing an exception which would in turn trigger a rollback.

    - #### isRollbackOnly

          boolean isRollbackOnly()

      Return whether the transaction has been marked as rollback-only (either by the application or by the transaction infrastructure).

    - #### isCompleted

          boolean isCompleted()

      Return whether this transaction is completed, that is, whether it has already been committed or rolled back.